Loading...
Searching...
No Matches
fastjet::BackgroundJetPtDensity Class Reference
FastJet tools » Background subtraction

Class that implements pt/area_4vector.perp() for background estimation (this is a preliminary class). More...

`#include <fastjet/tools/JetMedianBackgroundEstimator.hh>`

Inheritance diagram for fastjet::BackgroundJetPtDensity:
[legend]
Collaboration diagram for fastjet::BackgroundJetPtDensity:
[legend]

## Public Member Functions

virtual double | result (const PseudoJet &jet) const
| the action of the function this has to be overloaded in derived classes
virtual std::string | description () const
| returns a description of the function (an empty string by default)
Public Member Functions inherited from fastjet::FunctionOfPseudoJet< double >
| FunctionOfPseudoJet ()
| default ctor
virtual | ~FunctionOfPseudoJet ()
| default dtor (virtual to allow safe polymorphism)
double | operator() (const PseudoJet &pj) const
| apply the function using the "traditional" () operator.

## Detailed Description

Class that implements pt/area_4vector.perp() for background estimation (this is a preliminary class).

Definition at line 502 of file JetMedianBackgroundEstimator.hh.

## Member Function Documentation

## result()

virtual double fastjet::BackgroundJetPtDensity::result | ( | const PseudoJet & | pj | ) | const

inline virtual

the action of the function this has to be overloaded in derived classes

Parameters

  pj | the PseudoJet input to the function

Implements fastjet::FunctionOfPseudoJet< double >.

Definition at line 504 of file JetMedianBackgroundEstimator.hh.

## description()

virtual std::string fastjet::BackgroundJetPtDensity::description | ( |  | ) | const

inline virtual

returns a description of the function (an empty string by default)

Reimplemented from fastjet::FunctionOfPseudoJet< double >.

Definition at line 507 of file JetMedianBackgroundEstimator.hh.

The documentation for this class was generated from the following file:

- tools/fastjet/tools/JetMedianBackgroundEstimator.hh